Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## de.rico.adventure.inventory
Class BoxInventory

    java.lang.Object
      de.rico.adventure.inventory.AbstractInventory
          de.rico.adventure.inventory.BoxInventory

Deprecated. not yet implemented

    @Deprecated
    public class BoxInventory

extends AbstractInventory

This class represents an inventory system that uses some kind of box (container) to visualize the items in the inventory.

Author:
  Frank Bruns

Constructor Summary
`BoxInventory(InputManager input)` Deprecated. Creates a new box inventory system.

Method Summary
`void` | `draw(javax.media.opengl.GL gl)` Deprecated. The method draws the inventory, when visible
`boolean` | `isMouseOverItem(Item item)` Deprecated. Determines whether or not the mouse is located over the specified inventory item.
`void` | `update(long elapsedTime)` Deprecated. This method updates the inventory.

Methods inherited from class de.rico.adventure.inventory.AbstractInventory
`add, contains, getBGColor, getHeight, getItems, getItemUnderCursor, getSelectedInventoryItem, getTextColor, getWidth, getX, getY, isMouseInInventory, isVisible, remove, setBGColor, setHeight, setSelectedInventoryItem, setTextColor, setVisible, setWidth, setX, setY`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BoxInventory

    public BoxInventory(InputManager input)

  Deprecated.
  Creates a new box inventory system.

  Parameters:
    `input` - manager object

Method Detail

### isMouseOverItem

    public boolean isMouseOverItem(Item item)

  Deprecated.
  Description copied from class: `AbstractInventory`
  Determines whether or not the mouse is located over the specified inventory item.

  Specified by:
    `isMouseOverItem` in class `AbstractInventory`
  Parameters:
    `item` - item in the inventory to check
  Returns:
    is mouse over item in inventory? --> true=yes, false=no

### draw

    public void draw(javax.media.opengl.GL gl)

  Deprecated.
  Description copied from class: `AbstractInventory`
  The method draws the inventory, when visible

  Specified by:
    `draw` in class `AbstractInventory`

### update

    public void update(long elapsedTime)

  Deprecated.
  Description copied from class: `AbstractInventory`
  This method updates the inventory.

  Overrides:
    `update` in class `AbstractInventory`
  Parameters:
    `elapsedTime` - time between two frames

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD